# Class FilterProvider

#### Param: $provide

- Defined in src/core/filter/filter.js:16
- Defined in src/core/filter/filter.js:11

##### Index

### Constructors

constructor

### Properties

$get
register
$inject

## Constructors

### constructor

- new FilterProvider($provide: Provider): FilterProvider

  #### Parameters

  - $provide: Provider

  #### Returns FilterProvider

  - Defined in src/core/filter/filter.js:16

## Properties

### $get

$get: (string | (($injector: InjectorService) => (name: any) => any))[]

#### Type declaration

- string
- ($injector: InjectorService) => (name: any) => any
  - - ($injector: InjectorService): (name: any) => any

    - #### Parameters

      - $injector: InjectorService

      #### Returns (name: any) => any

- Defined in src/core/filter/filter.js:36

### register

register: (
name: string | Record<string, FilterFactory>,
factory: FilterFactory,
) => ServiceProvider

#### Type declaration

- - (
    name: string | Record<string, FilterFactory>,
    factory: FilterFactory,
    ): ServiceProvider

  - #### Parameters

    - name: string | Record<string, FilterFactory>
    - factory: FilterFactory

    #### Returns ServiceProvider

- Defined in src/core/filter/filter.js:34

### `Static`$inject

$inject: string[]

- Defined in src/core/filter/filter.js:11